/*
  Kortexino.h - Library for reading BLE communication from the Kortexino iOS app
  Created by Borderline Interactive, 2019.
  Released into the public domain.
*/
#ifndef Kortexino_h
#define Kortexino_h

#include "Arduino.h"

class Kortexino
{
  public:
    Kortexino();
    void read_data();
    bool data_available;
    void set_motor(byte motor, char motor_speed, bool forward);
    void move_forward(char motor_speed);
    void move_backward(char motor_speed);
    void turn_right(char motor_speed);
    void turn_left(char motor_speed);
    void stop_movement();
    //variables used for ble communication
    bool face_detected;
    byte face_distance;
    int buf_len;
    int yaw_to_bot;
    int pitch_to_bot;
    int roll_to_bot;
    byte smile;
    byte tongue_out;
    byte kiss;
    byte mouth_open;
    byte wink_left;
    byte wink_right;
    byte brows_down;
    byte brows_up;
    byte teeth;
    byte eyes_wide;
    byte mouth_down;
    byte eyes_closed;
    int compass;
    int gyro_x;
    int gyro_y;
    int gyro_z;
  private:
    byte val[16]; 
};

#endif
